Refunds
List Refunds
Get a list of all refunds associated with your account.
GET
/
refunds
JavaScript
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: 'My Bearer Token',
});
// Automatically fetches more pages as needed.
for await (const refundListResponse of client.refunds.list()) {
console.log(refundListResponse.business_id);
}from dodopayments import DodoPayments
client = DodoPayments(
bearer_token="My Bearer Token",
)
page = client.refunds.list()
page = page.items[0]
print(page.business_id)package main
import (
"context"
"fmt"
"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)
func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
page, err := client.Refunds.List(context.TODO(), dodopayments.RefundListParams{
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.dodopayments.api.example;
import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.refunds.RefundListPage;
import com.dodopayments.api.models.refunds.RefundListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();
RefundListPage page = client.refunds().list();
}
}package com.dodopayments.api.example
import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.refunds.RefundListPage
import com.dodopayments.api.models.refunds.RefundListParams
fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()
val page: RefundListPage = client.refunds().list()
}require "dodopayments"
dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)
page = dodo_payments.refunds.list
puts(page)curl --request GET \
--url https://test.dodopayments.com/refunds \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.dodopayments.com/refunds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"items": [
{
"business_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"is_partial": true,
"payment_id": "<string>",
"refund_id": "<string>",
"status": "succeeded",
"amount": 123,
"currency": "AED",
"reason": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Get events after this created time
Get events created before this time
Page size default is 10 max is 100
Required range:
x >= 0Page number default is 0
Required range:
x >= 0Filter by status
Available options:
succeeded, failed, pending, review Filter by customer_id
Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import DodoPayments from 'dodopayments';
const client = new DodoPayments({
bearerToken: 'My Bearer Token',
});
// Automatically fetches more pages as needed.
for await (const refundListResponse of client.refunds.list()) {
console.log(refundListResponse.business_id);
}from dodopayments import DodoPayments
client = DodoPayments(
bearer_token="My Bearer Token",
)
page = client.refunds.list()
page = page.items[0]
print(page.business_id)package main
import (
"context"
"fmt"
"github.com/dodopayments/dodopayments-go"
"github.com/dodopayments/dodopayments-go/option"
)
func main() {
client := dodopayments.NewClient(
option.WithBearerToken("My Bearer Token"),
)
page, err := client.Refunds.List(context.TODO(), dodopayments.RefundListParams{
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
package com.dodopayments.api.example;
import com.dodopayments.api.client.DodoPaymentsClient;
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;
import com.dodopayments.api.models.refunds.RefundListPage;
import com.dodopayments.api.models.refunds.RefundListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();
RefundListPage page = client.refunds().list();
}
}package com.dodopayments.api.example
import com.dodopayments.api.client.DodoPaymentsClient
import com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient
import com.dodopayments.api.models.refunds.RefundListPage
import com.dodopayments.api.models.refunds.RefundListParams
fun main() {
val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()
val page: RefundListPage = client.refunds().list()
}require "dodopayments"
dodo_payments = Dodopayments::Client.new(
bearer_token: "My Bearer Token",
environment: "test_mode" # defaults to "live_mode"
)
page = dodo_payments.refunds.list
puts(page)